<?php
/**
* HeyPublisher class is the root class from which all plugin functionality is extended
*
*/
require_once('HeyPublisher.class.php');
class HeyPublisherSubmission extends HeyPublisher {

  var $nounce = 'heypub-bulk-submit';
  var $submission_state = array(
    'read' => 'read',
    'under_consideration' => 'review',
    'accepted' => 'accept',
    'rejected' => 'reject',
    'publisher_revision_requested' => 'request_revision'
    );

  public function __construct() {
  	parent::__construct();

  }

  public function __destruct() {
  	parent::__destruct();

  }

  // Deprecating with v 1.4.0
  public function revision_request_link($id) {
    $form = $this->revision_request_form($id);
    $str = <<<EOF
    <div id='revision_request_off'><a href='#' onclick="
      $('revision_request_off').hide();
      $('revision_request_on').show();
      return false;">Request Revision from Author</a>
    </div>
    <div id='revision_request_on' style='display:none;'>
    $form
    </div>
EOF;
    return $str;
  }
  // Deprecating with v 1.4.0
  public function revision_request_form($id) {
    global $hp_subs;
    $url = $this->get_form_post_url_for_page($hp_subs->slug);
    $nounce = wp_nonce_field($this->nounce);

    $str = <<<EOF
<hr>
<h3>Note to Author:</h3>
<form id='heypub_revision_request_notes' action='$url' method='post'>
<textarea id='heypub_ed_note' name='notes'> </textarea>
<input type='hidden' name='action' value='request_revision' />
<input type='hidden' name="post" value="$id" />
<input type="submit" value="Send Request" name="doaction" id="doaction" />
$nounce
&nbsp;<a href='#' onclick="$('revision_request_on').hide();$('revision_request_off').show();return false;">Cancel</a>
</form>
EOF;
    return $str;
  }

  /**
  * @since v 1.4.0
  */
  public function editor_note_text_area() {
    $base = HEY_BASE_URL;
    $str = <<<EOF
<div id='editor_notes_off'><a href='#' onclick="
  $('editor_notes_off').hide();
  $('editor_notes_on').show();
  return false;">+ Include a Note to Writer</a>
</div>
<div id='editor_notes_on' style='display:none;'>
  <a id='heypub_ed_note_close' href='#' onclick="$('editor_notes_on').hide();$('heypub_ed_note').value = '';$('editor_notes_off').show();return false;">- remove note</a>
  <textarea id='heypub_ed_note' name='notes'> </textarea>
</div>
EOF;
    return $str;
  }

  public function editor_vote_box() {
    return false;
    $base = HEY_BASE_URL;
    $str = <<<EOF
<hr>
<h3>Editor Notes:</h3>
<p>Vote 'Up' or 'Down' on this submission.</p>
<form id='heypub_editor_notes' action='#'>
<textarea id='heypub_ed_note'> </textarea>
<div id='heypub_vote_buttons'>
<input id='heypub_vote_yes' type="image" src='$base/images/thumbs_up.gif' value="up" name="vote" title='Vote YES on this Submission' />
<input id='heypub_vote_no' type="image" src='$base/images/thumbs_down.gif' value="down" name="vote"  title='Vote NO on this Submission'/>
</div>
{${wp_nonce_field($this->nounce)}}
</form>


EOF;
    return $str;
  }

  public function select_selected($option,$val) {
    global $hp_xml;
    // $val is an array - so stringify it
    $hp_xml->log(sprintf("select_selected(%s,%s)",$option,$val));
    $hp_xml->log(sprintf("hash (%s)",$this->submission_state["$val"]));
    if ($this->submission_state["$val"] && $this->submission_state["$val"] == $option) {
      return 'selected';
    }
    return '';
  }

}
